Package org.firebirdsql.jdbc.metadata

## Class GetColumns

- java.lang.Object
- - org.firebirdsql.jdbc.metadata.GetColumns

    public abstract class GetColumns
    extends java.lang.Object

Provides the implementation of `DatabaseMetaData.getColumns(String, String, String, String)`.

Since:
  5
Author:
  Mark Rotteveel

### Field Summary

Fields
`protected DbMetadataMediator` `mediator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static GetColumns` `create​(DbMetadataMediator mediator)`
`java.sql.ResultSet` `getColumns​(java.lang.String tableNamePattern, java.lang.String columnNamePattern)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mediator

    protected final DbMetadataMediator mediator

### Method Detail

#### getColumns

    public final java.sql.ResultSet getColumns​(java.lang.String tableNamePattern,
                                               java.lang.String columnNamePattern)
                                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`
See Also:
  `DatabaseMetaData.getColumns(String, String, String, String)`, `FBDatabaseMetaData.getColumns(String, String, String, String)`

#### create

    public static GetColumns create​(DbMetadataMediator mediator)